const express = require("express");
const User = require("../controllers/user");
const router = express.Router();

router.post("/signup", User.signup);
router.post("/login", User.login);
router.get("/allUser", User.GetAllUser); 
router.patch("/updateData/:id", User.updateData);
router.get("/forgotPassword/:email", User.forgotPassVerifyEmail);
router.patch("/PasschangeForget", User.PasschangeForget);
router.put("/verifyEmail/:otp/:email", User.VerifyEmail);  // after verify email

module.exports = router;  
